/*
 * @Author: 吴文洁
 * @Date: 2020-04-28 18:05:30
 * @LastEditors: 吴文洁
 * @LastEditTime: 2020-08-13 11:23:36
 * @Description: 
 */
import { MenuConfig, RouteConfig } from '@/routes/interface';
import CloudClass from './config/cloudClass';

// 领域路由配置
export const menuConfigs: MenuConfig[] = [ CloudClass ];

/** 所有处理后的路由的集合,用于生成Route组件 */
const allRoutes: RouteConfig[] = menuConfigs.map((config: MenuConfig) => {
  return config.routes || [];
}).reduce((prev: RouteConfig[], next: RouteConfig[]) => {
  return prev.concat(...next);
});

export default allRoutes;



